package com.ys.bdtp.adm

import android.app.Application
import com.ys.bdtp.adm.di.dbModule
import com.ys.bdtp.adm.di.httpModule
import com.ys.bdtp.adm.di.repositoryModule
import com.ys.bdtp.adm.di.viewModelModule
import org.kodein.di.DI
import org.kodein.di.DIAware
import org.kodein.di.android.x.androidXModule

class AdmApplication : Application(), DIAware {
    override val di: DI by DI.lazy {
        import(androidXModule(this@AdmApplication))
        import(httpModule)
        import(repositoryModule)
        import(viewModelModule)
        import(dbModule)
    }


}